---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgf08t003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4EB70, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50AB0, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50EA0, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51E40, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51E50, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E800, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E804, symBinAddr: 0x60A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E808, symBinAddr: 0x60A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4E950, symBinAddr: 0x60B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EA08, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EA0C, symBinAddr: 0x616C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EA10, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EA14, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4EA18, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4EA20, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4EA30, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4EA38, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4EA40, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4EA48, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4EA50, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4EA58, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL14setVerboseMode, symObjAddr: 0x4EAA0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1020, symSize: 0x80 }
  - { offsetInCU: 0x91BE, offset: 0x91BE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF70, symSize: 0xB0 }
  - { offsetInCU: 0x9219, offset: 0x9219, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE70, symSize: 0x100 }
  - { offsetInCU: 0x94AC, offset: 0x94AC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x10A0, symSize: 0xC0 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1160, symSize: 0x220 }
  - { offsetInCU: 0x96E3, offset: 0x96E3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1380, symSize: 0xA0 }
  - { offsetInCU: 0x9796, offset: 0x9796, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1420, symSize: 0x110 }
  - { offsetInCU: 0x988C, offset: 0x988C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1530, symSize: 0x150 }
  - { offsetInCU: 0x99E9, offset: 0x99E9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1680, symSize: 0x30 }
  - { offsetInCU: 0x9A72, offset: 0x9A72, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x16B0, symSize: 0x150 }
  - { offsetInCU: 0x9C6A, offset: 0x9C6A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1800, symSize: 0x160 }
  - { offsetInCU: 0x9F2A, offset: 0x9F2A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1960, symSize: 0x4A0 }
  - { offsetInCU: 0xA1C3, offset: 0xA1C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1E00, symSize: 0x1B0 }
  - { offsetInCU: 0xA3DE, offset: 0xA3DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1FB0, symSize: 0xA0 }
  - { offsetInCU: 0xA4AD, offset: 0xA4AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2050, symSize: 0x20 }
  - { offsetInCU: 0xA4E4, offset: 0xA4E4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2070, symSize: 0x20 }
  - { offsetInCU: 0xA51B, offset: 0xA51B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2090, symSize: 0x20 }
  - { offsetInCU: 0xA68A, offset: 0xA68A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x20B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA9A6, offset: 0xA9A6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2250, symSize: 0x150 }
  - { offsetInCU: 0xAB5B, offset: 0xAB5B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x23A0, symSize: 0x80 }
  - { offsetInCU: 0xAC24, offset: 0xAC24, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2420, symSize: 0x6C0 }
  - { offsetInCU: 0xB79A, offset: 0xB79A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F60, symBinAddr: 0x3440, symSize: 0xB0 }
  - { offsetInCU: 0xB811, offset: 0xB811, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2AE0, symSize: 0x70 }
  - { offsetInCU: 0xB8AD, offset: 0xB8AD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2B50, symSize: 0xA0 }
  - { offsetInCU: 0xB98C, offset: 0xB98C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2BF0, symSize: 0x40 }
  - { offsetInCU: 0xBA82, offset: 0xBA82, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2C30, symSize: 0x2B0 }
  - { offsetInCU: 0xBE28, offset: 0xBE28, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2EE0, symSize: 0xC0 }
  - { offsetInCU: 0xBF6E, offset: 0xBF6E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2FA0, symSize: 0x10 }
  - { offsetInCU: 0xC030, offset: 0xC030, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2FB0, symSize: 0x240 }
  - { offsetInCU: 0xC319, offset: 0xC319, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x31F0, symSize: 0x10 }
  - { offsetInCU: 0xC376, offset: 0xC376, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3200, symSize: 0x230 }
  - { offsetInCU: 0xC5F4, offset: 0xC5F4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F50, symBinAddr: 0x3430, symSize: 0x10 }
  - { offsetInCU: 0xC652, offset: 0xC652, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA010, symBinAddr: 0x34F0, symSize: 0x36A }
...
